from django.urls import path
from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('signup/', views.signup, name='signup'),
    path('course/<int:pk>/', views.course_detail, name='course_detail'),
    path('lesson/<int:pk>/', views.lesson_detail, name='lesson_detail'),
    path('profile/', views.profile, name='profile'),
    path('dashboard/', views.dashboard, name='dashboard'),
    path('course/add/', views.course_create, name='course_create'),
    path('course/<int:pk>/edit/', views.course_edit, name='course_edit'),
    path('course/<int:pk>/delete/', views.course_delete, name='course_delete'),
    path('course/<int:course_pk>/module/add/', views.module_create, name='module_create'),
    path('module/<int:pk>/edit/', views.module_edit, name='module_edit'),
    path('module/<int:module_pk>/lesson/add/', views.lesson_create, name='lesson_create'),
    path('lesson/<int:pk>/edit/', views.lesson_edit, name='lesson_edit'),
]